Subject: bug#37755: closed (Re: bug#37755: Logic in init_fringe_bitmap should be moved to backends (maybe rif->define_fringe_bitmap))

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Oct 2019 16:12:03 +0000

Your bug report

#37755: Logic in init_fringe_bitmap should be moved to backends (maybe rif->define_fringe_bitmap)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37755: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37755
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37755: Logic in init_fringe_bitmap should be moved to backends (maybe rif->define_fringe_bitmap)
From: Carlos Pita <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 26 Oct 2019 13:11:09 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> I don't think you can do that with a RIF, for the reason already
> mentioned: Emacs is dumped in batch mode, where we have a frame type
> that doesn't support fringes, and doesn't implement the RIF interfaces
> you will need.
>

Ok, I'm not eager to rework this, so if you think that avoiding repeating
that bit shuffling at the beginning is worth the additional coupling and
complexity I trust in your criterion and close this issue. Thanks.

Subject: Logic in init_fringe_bitmap should be moved to backends (maybe rif->define_fringe_bitmap)
From: Carlos Pita <[email-masked]>
To: [email-masked]
Date: Mon, 14 Oct 2019 23:30:08 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

In fringe.c you have init_fringe_bitmap with this structure:

```
#if defined (HAVE_X_WINDOWS)
...
#ifdef USE_CAIRO
...
#endif
...
#endif
#ifdef HAVE_NTGUI
...
#endif
  if (!once_p)
    {
    ....
    rif->define_fringe_bitmap (...)
    ....
    }
```

Now, this is backend specific code that should be moved behind the
redisplay_interface. It seems to me that the obvious candidate to host
that code is define_fringe_bitmap. The once_p clause is related to
pdumper which I ignore all about.

Best regards
--
Carlos